ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# Slice 

###
Companion object Slice

#### case class Slice(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, length: Option[Long] = None, totalLength: Option[Long] = None, index: Option[Int] = None, slices: Option[Int] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Slice
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Slice(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, length: Option[Long] = None, totalLength: Option[Long] = None, index: Option[Int] = None, slices: Option[Int] = None, attributes: Map[String, String] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alphabet: Option[String]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attributes: Map[String, String]
7.  def canEqual(that: Any): Boolean
   Definition Classes
     Slice → Equals
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val description: Option[String]
10.  val end: Option[Long]
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  val index: Option[Int]
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  val length: Option[Long]
16.  val name: Option[String]
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  def productArity: Int
    Definition Classes
      Slice → Product
21.  def productElement(i: Int): Any
    Definition Classes
      Slice → Product
22.  val sequence: Option[String]
23.  val slices: Option[Int]
24.  val start: Option[Long]
25.  val strand: Option[String]
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toAvro: formats.avro.Slice
28.  val totalLength: Option[Long]
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped